%define name lftp
%define version 2.2.0
%define release 2mdk
%define url ftp.yars.free.net:/pub/software/unix/net/ftp/client/

Summary: Commandline ftp client.
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{url}/%{name}-%{version}a.tar.bz2
URL: http://ftp.yars.free.net/projects/lftp/
Patch0: lftp-2.2.0-passive.patch.bz2
Patch1: lftp-2.2.0-lftpgetmanpage.patch.bz2
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-buiildroot
Copyright: GPL
Prefix: %{_prefix}

%description
LFTP is a shell-like command line ftp client. The main two advantages
over other ftp clients are reliability and ability to perform tasks
in background. It will reconnect and reget the file being transferred
if the connection broke. You can start a transfer in background and
continue browsing on the ftp site.  It does this all in one process.
When you have started background jobs and feel you are done, you can
just exit lftp and it automatically moves to nohup mode and completes
the transfers. It has also such nice features as reput and mirror.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}a
%patch -p1 
%patch1 -p1 

%build -n %{name}-%{version}
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure --with-modules --enable-nls

uname -a|grep -q SMP && {
make -j 2 CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" 
} || make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install
(cd po;make prefix=$RPM_BUILD_ROOT/%{prefix} install)

mkdir -p $RPM_BUILD_ROOT/etc
install -c -m 644 lftp.conf $RPM_BUILD_ROOT/etc/
install -m644 lftpget.1 $RPM_BUILD_ROOT/usr/man/man1/


mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat << EOF > $RPM_BUILD_ROOT/usr/lib/menu/lftp
?package(lftp):needs="text" section="Networking/File transfer" \
title="Lftp" command="/usr/bin/lftp" \
description="Reliable, easy and powerful ftp command-line client" \
icon=ftp.xpm
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%postun
if [ -x /usr/bin/update-menus ];then
		/usr/bin/update-menus
fi

%files
%defattr(-,root,root)
%doc ABOUT-NLS COPYING src/ChangeLog FAQ INSTALL MIRRORS NEWS 
%doc README.* THANKS TODO lftp.lsm BUGS
%defattr(-,root,root,0755)
%config /etc/lftp.conf
/usr/lib/menu/lftp
%{prefix}/man/man1/*
%{prefix}/bin/*
%{prefix}/lib/lftp/
%{prefix}/share/lftp/
%{prefix}/share/*/*/*/*

%changelog
* Mon Apr  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-2mdk
- Fix menu icon.

* Wed Mar 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-1mdk
- Add menu entry.
- Add lftpget.1 man page from debian package.
- 2.2.0 (using 2.2.0a in fact).

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.10-1mdk
- 2.1.10.
- Update groups.

* Tue Feb 22 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.9-2mdk
- Include src/ChangeLog not ChangeLog (outdated).
- 2.1.9.

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.8-1mdk
- 2.1.8.

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.7-1mdk
- 2.1.7.

* Tue Jan 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.1.6-1mdk
- 2.1.6.
- use %configure.

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Last cvs version.
- Fix completion on directory.
- more alias.

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.4.

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.3.

* Wed Oct 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.2

* Wed Sep 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.1.0

* Wed Sep 22 1999 Daouda Lo <daouda@mandrakesoft.com>
- 2.0.5

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.0.4
- add the url
- fix a bug in spec that preventing from including locales
- fix permissions (now this could be builded as non root)

* Tue Jul 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.3 finale.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- pre2.0.3-990722 from CVS.
- enable --with-modules.
- Relifting of Spec files.

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Set passive by default (special Pixel ;-)).
- 2.0.1.

* Mon Jun 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.0.0
